#!/system/bin/sh

function print_color() {
  local color=$1
  shift
  echo -e "\033[${color}m$@\033[0m"
}

# 检查用户是否为root用户
if [ $(id -u) != 0 ]; then
    echo "\n请使用root权限执行 !"
    exit 1
fi

sleep 0.3

echo -e "\033[33;31m**************************************\033[0m"   	

sleep 0.2

cp -f libProject.so /data/data/com.hottagames.yh.laohu/
chmod 755 /data/data/com.hottagames.yh.laohu/libProject.so*

cp -f inject_arm64 /data/data/com.hottagames.yh.laohu/
chmod 777 /data/data/com.hottagames.yh.laohu/inject_arm64*

# 检查文件是否存在并且权限为755
if [ -f /data/data/com.hottagames.yh.laohu/libProject.so ] && [ "$(stat -c '%a' /data/data/com.hottagames.yh.laohu/libProject.so)" = "755" ]; then
    echo "[+] 动态库文件正常"
else
    echo "[-] 动态库文件不正确"
    exit 1
fi

if [ -f /data/data/com.hottagames.yh.laohu/inject_arm64 ] && [ "$(stat -c '%a' /data/data/com.hottagames.yh.laohu/inject_arm64)" = "777" ]; then
    echo "[+] 劫持文件正常"
else
    echo "[-] 劫持文件不正确"
    exit 1
fi

sleep 0.5

/system/bin/su -c /data/data/com.hottagames.yh.laohu/inject_arm64 -f com.hottagames.yh.laohu -n com.hottagames.yh.laohu -so /data/data/com.hottagames.yh.laohu/libProject.so

rm -f /data/data/com.hottagames.yh.laohu/inject_arm64
rm -f /data/data/com.hottagames.yh.laohu/libProject.so